> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Associate an existing contact with a client (replaces any existing association)

> A contact can only belong to ONE client/sucursal. This endpoint will DELETE any existing associations before creating the new one.



## OpenAPI

````yaml /generated/specs/clients.json post /api/v1/contact/associate-to-client
openapi: 3.0.0
info:
  title: Raul API - Clientes
  description: Clientes, clientes padre, direcciones, contactos y activos asociados.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags:
  - name: Clients
    description: Gestion de clientes
paths:
  /api/v1/contact/associate-to-client:
    post:
      tags:
        - Contact
      summary: >-
        Associate an existing contact with a client (replaces any existing
        association)
      description: >-
        A contact can only belong to ONE client/sucursal. This endpoint will
        DELETE any existing associations before creating the new one.
      operationId: ContactController_associateContactToClient
      parameters: []
      responses:
        '201':
          description: Contact associated successfully (previous associations removed)
        '404':
          description: Client or contact not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````